set(SEMTECH_PLATFORM_SRC_DIR ${PROJECT_SOURCE_DIR}/libs/loramac-node-4_4_7/src)
set(VTAL_SRC_DIR ${PROJECT_SOURCE_DIR}/libs/vTAL/vTAL)

set(NUCLEO_LORA_SHIELD "SX1276" CACHE STRING "")

if(${NUCLEO_LORA_SHIELD} STREQUAL "SX1272")
  set(PLATFORM_SHIELD_INC_DIR ${SEMTECH_PLATFORM_SRC_DIR}/radio/sx1272)
  set(PLATFORM_SHIELD_SRC
    ${SEMTECH_PLATFORM_SRC_DIR}/radio/sx1272/sx1272.c
    ${SEMTECH_PLATFORM_SRC_DIR}/boards/NucleoL476/sx1272mb2das-board.c)
  add_compile_definitions(SX1272MB2DAS)
elseif(${NUCLEO_LORA_SHIELD} STREQUAL "SX1276")
  set(PLATFORM_SHIELD_INC_DIR ${SEMTECH_PLATFORM_SRC_DIR}/radio/sx1276)
  set(PLATFORM_SHIELD_SRC
    ${SEMTECH_PLATFORM_SRC_DIR}/radio/sx1276/sx1276.c
    ${SEMTECH_PLATFORM_SRC_DIR}/boards/NucleoL476/sx1276mb1mas-board.c)
  add_compile_definitions(SX1276MB1MAS)
else()
  message(FATAL_ERROR "Unsupported Lora shield")
endif()

set(PLATFORM_INC_DIR
  ${CMAKE_CURRENT_LIST_DIR}/inc
  ${SEMTECH_PLATFORM_SRC_DIR}/boards
  ${SEMTECH_PLATFORM_SRC_DIR}/boards/mcu
  ${SEMTECH_PLATFORM_SRC_DIR}/boards/mcu/stm32/cmsis
  ${SEMTECH_PLATFORM_SRC_DIR}/boards/NucleoL476/cmsis
  ${SEMTECH_PLATFORM_SRC_DIR}/boards/mcu/stm32/STM32L4xx_HAL_Driver/Inc
  ${SEMTECH_PLATFORM_SRC_DIR}/boards/mcu/stm32/EEPROM_Emul/Core
  ${SEMTECH_PLATFORM_SRC_DIR}/boards/mcu/stm32/EEPROM_Emul/Porting/STM32L4
  ${SEMTECH_PLATFORM_SRC_DIR}/system
  ${SEMTECH_PLATFORM_SRC_DIR}/radio
  ${SEMTECH_PLATFORM_SRC_DIR}/mac
  ${SEMTECH_PLATFORM_SRC_DIR}/mac/region
  ${PLATFORM_SHIELD_INC_DIR}
  ${VTAL_SRC_DIR}
  ${VTAL_SRC_DIR}/vTAL-src)

set(SEMTECH_PLATFORM_NAME "NucleoL476")
